The Puppet Labs Issue Tracker has Moved: https://tickets.puppetlabs.com

This issue tracker is now in read-only archive mode and automatic ticket export has been disabled. Redmine users will need to create a new JIRA account to file tickets using https://tickets.puppetlabs.com. See the following page for information on filing tickets with JIRA:

Bug #22905

Quilt not needed in debian packaging

Added by Melissa Stone over 2 years ago. Updated over 2 years ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Melissa Stone% Done:

0%

Category:hiera
Target version:1.3.0
Keywords:packaging Affected Hiera Version:1.2.1
Branch:stable

We've Moved!

Ticket tracking is now hosted in JIRA: https://tickets.puppetlabs.com


Description

We’re adding Saucy to our list of supported deb distros, and it looks like deb helper has changed slightly in this release. Now, when we try to build saucy packages, it breaks, because we’ve required quilt, even though there are no patches to apply with quilt. We don’t need that, and it’s breaking everything, so lets remove that.

History

#1 Updated by Melissa Stone over 2 years ago

  • Status changed from Accepted to Merged - Pending Release

#3 Updated by Melissa Stone over 2 years ago

  • Target version changed from 1.2.x to 1.3.0

#4 Updated by Melissa Stone over 2 years ago

  • Status changed from Merged - Pending Release to Closed

Released in Hiera 1.3.0-rc2

Also available in: Atom PDF